org.apache.jmeter.protocol.http.api.auth

## Class DigestParameters

- java.lang.Object
- - org.apache.jmeter.protocol.http.api.auth.DigestParameters

    public class DigestParameters
    extends Object

Allows digest customization as per: https://en.wikipedia.org/wiki/Digest_access_authentication

Since:
  5.0

### Field Summary

Fields
`static String` `VARIABLE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`DigestParameters()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAlgorithm()`
`String` `getCharset()`
`String` `getNonce()`
`String` `getOpaque()`
`String` `getQop()`
`void` `setAlgorithm(String algorithm)`
`void` `setCharset(String charset)`
`void` `setNonce(String nonce)`
`void` `setOpaque(String opaque)`
`void` `setQop(String qop)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VARIABLE_NAME

    public static final String VARIABLE_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### DigestParameters

    public DigestParameters()

### Method Detail

#### getQop

    public String getQop()

Returns:
  the quality of protection

#### setQop

    public void setQop(String qop)

Parameters:
  `qop` - the quality of protection to set

#### getNonce

    public String getNonce()

Returns:
  the nonce

#### setNonce

    public void setNonce(String nonce)

Parameters:
  `nonce` - the nonce to set

#### getCharset

    public String getCharset()

Returns:
  the charset

#### setCharset

    public void setCharset(String charset)

Parameters:
  `charset` - the charset to set

#### getAlgorithm

    public String getAlgorithm()

Returns:
  the algorithm (MD5 usually)

#### setAlgorithm

    public void setAlgorithm(String algorithm)

Parameters:
  `algorithm` - the algorithm to set

#### getOpaque

    public String getOpaque()

Returns:
  the opaque

#### setOpaque

    public void setOpaque(String opaque)

Parameters:
  `opaque` - the opaque to set